Propriedades Urbanas
Imoveis urbanos de uma pessoa
Retorna propriedades urbanas do CPF, imoveis de parentes e enderecos resididos (imoveis de terceiros nos enderecos onde a pessoa mora/morou). Documento invalido retorna HTTP 200 com corpo { "erro": "CPF invalido" }.
GET
/
imoveis
/
cpf
/
{cpf}
Imoveis urbanos de uma pessoa
curl --request GET \
--url 'https://221b-api.sherlocker.com.br/api/v1/imoveis/cpf/{cpf}?token='import requests
url = "https://221b-api.sherlocker.com.br/api/v1/imoveis/cpf/{cpf}?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://221b-api.sherlocker.com.br/api/v1/imoveis/cpf/{cpf}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documento": "123.456.789-01",
"tipo_documento": "CPF",
"propriedades": [
{
"id": "sp-vm-031044-00941",
"fonte": "betha",
"sql_iptu": "031.044.0094-1",
"inscricao": "031.044.0094-1",
"localizacao": {
"logradouro": "Rua Propriedade",
"numero": "456",
"complemento": "",
"bairro": "Vila Mariana",
"cidade": "São Paulo",
"uf": "SP",
"cep": "04101000"
},
"area_terreno": 250,
"area_construida": 150,
"ano_construcao": 2005,
"tipo_uso": "Residencial",
"valor_venal": 500000,
"valor_iptu": 2500,
"proprietario": {
"nome": "João Silva",
"documento": "123.456.789-01",
"tipoDocumento": "CPF"
},
"tipo_propriedade": "urbano",
"quantidade": 1
}
],
"parentes": [
{
"nome": "Maria Silva de Oliveira",
"cpf": "98765432100",
"parentesco": "Mãe",
"propriedades": []
}
],
"enderecos_resididos": [
{
"endereco": {
"logradouro": "Rua das Flores",
"numero": "123",
"bairro": "Centro",
"cidade": "São Paulo",
"uf": "SP",
"cep": "01310-100"
},
"proprietarios": [
{
"nome": "MARIA SILVA",
"documento": "98765432100",
"tipo_documento": "CPF"
}
]
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"path": "/api/v1/imoveis/cpf/12345678901",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Path Parameters
CPF (11 digitos, com ou sem mascara)
Example:
"12345678901"
Response
Imoveis encontrados (ou corpo { erro } quando o CPF e invalido)
⌘I
Imoveis urbanos de uma pessoa
